org.apache.catalina.tribes.util

## Class ExecutorFactory

- java.lang.Object
- - org.apache.catalina.tribes.util.ExecutorFactory

    public class ExecutorFactory
    extends Object

### Field Summary

Fields
`protected static StringManager` `sm`

### Constructor Summary

Constructors
Constructor and Description
`ExecutorFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ExecutorService` `newThreadPool(int minThreads, int maxThreads, long maxIdleTime, TimeUnit unit)`
`static ExecutorService` `newThreadPool(int minThreads, int maxThreads, long maxIdleTime, TimeUnit unit, ThreadFactory threadFactory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### sm

    protected static final StringManager sm

### Constructor Detail

#### ExecutorFactory

    public ExecutorFactory()

### Method Detail

#### newThreadPool

    public static ExecutorService newThreadPool(int minThreads,
                                                int maxThreads,
                                                long maxIdleTime,
                                                TimeUnit unit)

#### newThreadPool

    public static ExecutorService newThreadPool(int minThreads,
                                                int maxThreads,
                                                long maxIdleTime,
                                                TimeUnit unit,
                                                ThreadFactory threadFactory)